## Description
Controltheorylib is a Python library designed for creating high-quality mathematical animations related to control theory using Manim. It helps visualize concepts such as transfer functions, Bode plots, Nyquist plots, state-space representations, and system dynamics. Example animations which implement the functions provided in this library can be found in the examples folder. 

## Philosophy
The core philosophy behind Controltheorylib is to make control theory concepts more accessible and intuitive through visualization. By leveraging the power of Manim, this library aims to bridge the gap between theoretical understanding and practical application. It is designed to help students, educators, and engineers gain deeper insights into dynamic systems and their behaviors through engaging animations.

## Getting started 
### Installation Dependicies
To install the dependicies, copy-paste the following line of code in your system terminal or command prompt:

`pip install -r requirements.txt`

To install the library, copy-paste the following line of code in your system terminal or command prompt:

`pip install controltheorylib`

## More details
For more details, check the documentation [View PDF](https://raw.githubusercontent.com/JortStamme/Controltheorylibrary/main/Controltheorylib_manual.pdf).

## Contact
For questions or support, reach out via:
+ GitHub Issues: Open an issue
+ Email: j.r.k.stammen@student.tue.nl

